WindowsConfiguration Class

Specifies Windows operating system settings on the virtual machine.

Inheritance
WindowsConfiguration

Constructor

WindowsConfiguration(*, provision_vm_agent: Optional[bool] = None, enable_automatic_updates: Optional[bool] = None, time_zone: Optional[str] = None, additional_unattend_content: Optional[List[azure.mgmt.compute.v2016_04_30_preview.models._models_py3.AdditionalUnattendContent]] = None, win_rm: Optional[azure.mgmt.compute.v2016_04_30_preview.models._models_py3.WinRMConfiguration] = None, **kwargs)

Parameters

provision_vm_agent
bool
Required

Indicates whether virtual machine agent should be provisioned on the virtual machine. <br>``<br> When this property is not specified in the request body, default behavior is to set it to true. This will ensure that VM Agent is installed on the VM so that extensions can be added to the VM later.

enable_automatic_updates
bool
Required

Indicates whether virtual machine is enabled for automatic updates.

time_zone
str
Required

Specifies the time zone of the virtual machine. e.g. "Pacific Standard Time".

additional_unattend_content
list[AdditionalUnattendContent]
Required

Specifies additional base-64 encoded XML formatted information that can be included in the Unattend.xml file, which is used by Windows Setup.

win_rm
WinRMConfiguration
Required

Specifies the Windows Remote Management listeners. This enables remote Windows PowerShell.